Bug 43111 - Anaconda fails with exception during RH 7.1 installation <device busy>
Anaconda fails with exception during RH 7.1 installation <device busy>
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-31 16:35 EDT by matt jacoby
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-10 10:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matt jacoby 2001-05-31 16:35:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1852, in 
doInstall
    (p, self.intf.messageWindow, pkgTimer))
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1564, in 
instCallback
    fn = self.method.getFilename(h, pkgTimer)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py", line 87, in 
getFilename
    isys.umount("/mnt/source")
  
File "/mnt/redhat/test/qa0408.4/i386/RedHat/instimage/usr/lib/anaconda/isys
.py", line 140, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
what: /mnt/source
removeDir: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
NsS'screen'
p7
(isnack
SnackScreen
p8
(dp9
S'height'
p10
I25
sS'width'
p11
I80
sS'helpCb'
p12

<failed>


How reproducible:
Didn't try


Additional info:

Installing on Compaq 1255 laptop, RH 7.1 the only OS with automatic 
partitioning. I have installed many times on this machine with no 
problems. The major installation change during this attempt was the 
addition of dial-up workstation.
Comment 1 Brent Fox 2001-05-31 17:52:37 EDT
Did you go on VC2 by any chance?
Comment 2 Brent Fox 2001-06-10 10:51:18 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.